#!/usr/bin/env bash

set -e

ls -la 
ls -la /data

toLinkedFiles=(
    LaunchServer.sh
    README-howto.txt
    forge-1.12.2-14.23.5.2854.jar
    libraries
    llibrary
    minecraft_server.1.12.2.jar
    mods
    scripts
    structures
)

toCoptFiles=(
    config
    options.txt
    server.properties
)

chmod +x LaunchServer.sh

for linkedFile in "${toLinkedFiles[@]}"
do
    [ -f /data/$linkedFile ] || ln -s /minecraft/$linkedFile /data/$linkedFile 
done

for copyedFile in "${toCoptFiles[@]}"
do
    [ -f /data/$copyedFile ] || cp -r /minecraft/$copyedFile /data/$copyedFile 
done

echo "eula=true" > /data/eula.txt

cd /data

./LaunchServer.sh
